# setup.py
from distutils.core import setup
import glob
import py2app

py2app_options = dict(
    # Map "open document" events to sys.argv.
    # Scripts that expect files as command line arguments
    # can be trivially used as "droplets" using this option.
    # Without this option, sys.argv should not be used at all
    # as it will contain only Mac OS X specific stuff.
    argv_emulation = True,

    # This is a shortcut that will place MyApplication.icns
    # in the Contents/Resources folder of the application bundle,
    # and make sure the CFBundleIcon plist key is set appropriately.
    iconfile = 'thud.icns',
)

NAME = 'ThudBoard'
VERSION = '1.7'

plist = dict(
    CFBundleIconFile='thud.icns',
    CFBundleName=NAME,
    CFBundleShortVersionString=VERSION,
    NSHumanReadableCopyright="(c) 2006 Marc Boeren, million.nl",
    CFBundleExecutable=NAME,
    CFBundleIdentifier='nl.million.thudboard',
    CFBundleDocumentTypes=[
        dict(
            CFBundleTypeExtensions=["thud", ],
            CFBundleTypeName="Thud Battle",
            CFBundleTypeRole="Editor",
        ),
    ],
)


setup(
    app = [dict(script='thud.py',
                plist = plist,
                )], 
    options = dict(
        py2app = py2app_options,
    ),
    # resources
    data_files = [(".", ["thud.icns"]),
                  ("img", glob.glob("img/*.*")),
                  ("img", glob.glob("img/colors")),
                  ("docs", glob.glob("docs/*.*")),
                  ("docs/img", glob.glob("docs/img/*.*")),
                  ("koomvalley", glob.glob("koomvalley/*.*")),
                 ],
)